Search
K
Policy

Get IRI Policy Value

get
https://qa.api.zinnia.io/policy-inquiry/v1/policies/{policyNumber}/values

Query Parameters

associatedFirmIdstring

Optional firm/linkage identifier (preferred location per IRI).

Path Parameters

policyNumberstringrequired

Headers

correlationIdstring

Unique identifier to trace the request.

Response

application/json

OK

IriPolicyValue

valuesAsOfDatestring(date)required

Date the values are reported as of (yyyy-mm-dd).

Example:2026-03-31

accountDesignationstring

Account designation / role type.

Allowed values:INDIVIDUALJOINTTRUSTCUSTODIALOTHER

jurisdictionstring

Two-letter jurisdiction code.

Match pattern:^[A-Z]{2}$

Example:NC

sponsoringPlanSeparationDatestring(date)

Sponsoring plan separation date (yyyy-mm-dd).

Example:2026-01-01

payoutTypestring

Payout / product type.

Allowed values:DEFERREDIMMEDIATEANNUITIZEDACCUMULATIONUNKNOWN

totalDepositITDnumber

Total deposit inception-to-date.

>= 0<= 9999999999.99

Example:0

surrenderChargeFreeDatestring(date)

Date surrender charges no longer apply (yyyy-mm-dd).

Example:2031-01-01

digitalPaymentTypeCodestring

Digital payment type code.

Match pattern:^[A-Za-z0-9._-]{1,100}$

Example:ACH

digitalPaymentTypeDescriptionstring

Digital payment type description.

<= 100 characters

Example:Automated Clearing House

accountValuesobjectrequired
Show Child Parameters
loanValuesobject
Show Child Parameters
withdrawalValuesobject
Show Child Parameters
marketValueAdjustmentobject
Show Child Parameters
rmdInfoobject
Show Child Parameters
authorizationobject
Show Child Parameters
get/policy-inquiry/v1/policies/{policyNumber}/values
 
application/json

Get IRI Policy Parties

get
https://qa.api.zinnia.io/policy-inquiry/v1/policies/{policyNumber}/parties

Query Parameters

limitnumber

Page size (default 50, max 200)

startIndexnumber

Zero-based index of the first record to return

associatedFirmIdstring

Optional firm/linkage identifier (preferred location per IRI).

Path Parameters

policyNumberstringrequired

Headers

correlationIdstring

Unique identifier to trace the request.

Response

application/json

OK

IriPolicyParties

startIndexnumberrequired

Used for pagination to indicate where the returned page starts within the full result set.

>= 0

Example:0

itemsCountnumberrequired

Number of records included in the current response page.

>= 0

Example:1

totalItemsCountnumberrequired

Total number of records available that match the request criteria, independent of pagination.

>= 0

Example:1

partiesarray[object]required

Individuals or entities associated with the policy, including identity, relationship, and servicing instructions.

Show Child Parameters
get/policy-inquiry/v1/policies/{policyNumber}/parties
 
application/json

Get IRI Policy Transactions

get
https://qa.api.zinnia.io/policy-inquiry/v1/policies/{policyNumber}/transactions

Query Parameters

limitnumber

Page size (default 50, max 200)

startIndexnumber

Zero-based index of the first record to return

transactionTypesstring

Filter by one or more transaction type codes (comma-separated).

endDatestring

Filter transactions up to this date (inclusive).

startDatestring

Filter transactions from this date (inclusive).

associatedFirmIdstring

Optional firm/linkage identifier (preferred location per IRI).

Path Parameters

policyNumberstringrequired

Headers

correlationIdstring

Unique identifier to trace the request.

Response

application/json

OK

IriPolicyTransactions

startIndexnumberrequired

Used for pagination to indicate where the returned page starts within the full result set.

>= 0

Example:0

itemsCountnumberrequired

Number of records included in the current response page.

>= 0

Example:1

totalItemsCountnumberrequired

Total number of records available that match the request criteria, independent of pagination.

>= 0

Example:1

transactionsarray[object]required

Transactions associated with the policy.

Show Child Parameters
get/policy-inquiry/v1/policies/{policyNumber}/transactions
 
application/json

PolicySearchRequest

object
firstNamestring

policy owner first name

policyNumberstring

number/subjective id of policy. Optionally, you can partial search if SSN is also using partial search (e.g. *1234)

lastNamestring

policy owner last name

fullNamestring

policy owner full name. Optionally support partial search

policyStatusstring

status of policy, needs to be enum

planCodestring

plan code for policy

lastUpdatedstring(date-time)

last time policy was updated

createdAtstring(date-time)

creation time of the policy

ssnstring

Policy owner social security number. SSN should be 9 digits, or the last four (e.g. *1234) when policy number is also last four (partial search)

idstring

reference id of the policy, fully unique

lineOfBusinessstring

line of business to search for, options are LIFE or Annuity Product

partyIdsarray[string]

list of party ids associated with the policy

Example:4fd32e7aecc24888be9c5418d6dc646a, 2739e8897e7141189ccd366f7d054ff0

issueDateFromstring(date)

Start date for issue date range query in YYYY-MM-DD format

Example:2024-01-01

issueDateTostring(date)

End date for issue date range query in YYYY-MM-DD format

Example:2024-12-31

Example

PolicyReferenceDataModel

object
policyNumberstringrequired

number/subjective id of policy

Example:POLICY1234567890

planCodestring

plan code for policy

Example:PLAN001

productNamestring

product name of policy

Example:Deluxe Universal Life

firstNamestring

policy owner first name

Example:Nick

lastNamestring

policy owner last name

Example:Burdell

fullNamestring

policy owner full name

Example:Nick Burdell

policyStatusstring

status of policy, needs to be enum

Example:IGO

lineOfBusinessstring

line of business, usually LIFE or ANNUITY

Example:LIFE

restrictionStatusarray[string]

restriction status in SOR

Example:LEGAL

carrierIdstring

4 character id of carrier, also called clientCode or companyCode

Example:EVGL

companyNamestring

Company associated with policyholder

Example:Everglades

ssnstring

Social security number of policy holder, masked on return

productTypestring

Type of the product

Example:universal

lastUpdatedstring(date-time)

last time policy was updated

createdAtstring(date-time)required

creation date of the policy

idstring

reference id of the policy, fully unique

Example:3cc99edada4f4a88be77cef53ba0b3fd

partyIdsarray[string]

list of party ids associated with the policy

Example:4fd32e7aecc24888be9c5418d6dc646a, 2739e8897e7141189ccd366f7d054ff0

issueDatestring(date)

Issue date of the policy in YYYY-MM-DD format

Example:2024-09-30

Example